Subject: Fwd: New Version Notification for draft-ietf-httpbis-key-01.txt

From: Mark Nottingham <[email-masked]>
Date: Wed, 2 Mar 2016 15:53:00 +1100

I've done a quick editors' draft to try to move forward on a few of the issues.

Note the issues proposed to be closed in this round:

* Support "Or" operator <https://github.com/httpwg/http-extensions/issues/104>
* Policy for Key parameter registry <https://github.com/httpwg/http-extensions/issues/106>
* Whitespace requirement <https://github.com/httpwg/http-extensions/issues/107>
* field-name cardinality <https://github.com/httpwg/http-extensions/issues/108>

If you have concerns about those resolutions, please bring them up here or the issues list.

If that sticks, I'd note that we only have two open issues:

* Case Handling <https://github.com/httpwg/http-extensions/issues/105>
* Generational Constant <https://github.com/httpwg/http-extensions/issues/109>

WRT #105, I'd love to hear what people think about the options here. It seems to me that we could do any of:

* Leaving it as is
* Making some subset (or all) case-insensitive
* Introduce a flag for case insensitivity (at the potential cost of complexity).

WRT #109, I think we need to see a detailed proposal before we can make progress. 

I think we're also getting close to the time when we really need some implementation experience. Anyone? 

Cheers,

> Begin forwarded message:
> 
> From: [email-masked]
> Subject: New Version Notification for draft-ietf-httpbis-key-01.txt
> Date: 2 March 2016 at 3:42:43 PM AEDT
> To: "Mark Nottingham" <[email-masked]>, "Roy T. Fielding" <[email-masked]>
> 
> 
> A new version of I-D, draft-ietf-httpbis-key-01.txt
> has been successfully submitted by Mark Nottingham and posted to the
> IETF repository.
> 
> Name:		draft-ietf-httpbis-key
> Revision:	01
> Title:		The Key HTTP Response Header Field
> Document date:	2016-03-02
> Group:		httpbis
> Pages:		17
> URL:            https://www.ietf.org/internet-drafts/draft-ietf-httpbis-key-01.txt
> Status:         https://datatracker.ietf.org/doc/draft-ietf-httpbis-key/
> Htmlized:       https://tools.ietf.org/html/draft-ietf-httpbis-key-01
> Diff:           https://www.ietf.org/rfcdiff?url2=draft-ietf-httpbis-key-01
> 
> Abstract:
>   The 'Key' header field for HTTP responses allows an origin server to
>   describe the secondary cache key (RFC 7234, Section 4.1) for a
>   resource, by conveying what is effectively a short algorithm that can
>   be used upon later requests to determine if a stored response is
>   reusable for a given request.
> 
>   Key has the advantage of avoiding an additional round trip for
>   validation whenever a new request differs slightly, but not
>   significantly, from prior requests.
> 
>   Key also informs user agents of the request characteristics that
>   might result in different content, which can be useful if the user
>   agent is not sending request header fields in order to reduce the
>   risk of fingerprinting.
> 
> 
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> The IETF Secretariat
> 

--
Mark Nottingham   https://www.mnot.net/